org.hibernate.search.backend.jgroups.impl

## Class JGroupsMasterMessageListener

- java.lang.Object
- - org.hibernate.search.backend.jgroups.impl.JGroupsMasterMessageListener

- All Implemented Interfaces:
    MembershipListener, MessageListener, Receiver

      public class JGroupsMasterMessageListener
      extends Object
      implements Receiver

  A `Receiver` that listens for messages from slave nodes and apply them.
  Author:
    Lukasz Moren, Sanne Grinovero (C) 2011 Red Hat Inc., Ales Justin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsMasterMessageListener(BuildContext context, NodeSelectorService masterNodeSelector, LuceneWorkSerializer luceneWorkSerializer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `block()`
    `void` | `getState(OutputStream arg0)`
    `void` | `receive(Message message)`
    `void` | `setState(InputStream arg0)`
    `void` | `suspect(Address suspected_mbr)`
    `void` | `unblock()`
    `void` | `viewAccepted(View view)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsMasterMessageListener

          public JGroupsMasterMessageListener(BuildContext context,
                                              NodeSelectorService masterNodeSelector,
                                              LuceneWorkSerializer luceneWorkSerializer)

  - ### Method Detail

    - #### receive

          public void receive(Message message)

      Specified by:
        `receive` in interface `MessageListener`

    - #### viewAccepted

          public void viewAccepted(View view)

      Specified by:
        `viewAccepted` in interface `MembershipListener`

    - #### suspect

          public void suspect(Address suspected_mbr)

      Specified by:
        `suspect` in interface `MembershipListener`

    - #### block

          public void block()

      Specified by:
        `block` in interface `MembershipListener`

    - #### getState

          public void getState(OutputStream arg0)
                        throws Exception

      Specified by:
        `getState` in interface `MessageListener`
      Throws:
        `Exception`

    - #### setState

          public void setState(InputStream arg0)
                        throws Exception

      Specified by:
        `setState` in interface `MessageListener`
      Throws:
        `Exception`

    - #### unblock

          public void unblock()

      Specified by:
        `unblock` in interface `MembershipListener`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved